CVE-2012-2652

Priority
Medium
Description
The bdrv_open function in Qemu 1.0 does not properly handle the failure of
the mkstemp function, when in snapshot node, which allows local users to
overwrite or read arbitrary files via a symlink attack on an unspecified
temporary file.
References
Bugs
Assigned-to
mdeslaur
Package
Upstream:needs-triage
Ubuntu 12.04 LTS (Precise Pangolin):released (1.0+noroms-0ubuntu14.1)
Patches:
Patch:http://marc.info/?l=qemu-devel&m=133819025731504&w=2
Upstream:http://git.kernel.org/?p=virt/kvm/qemu-kvm.git;a=commit;h=eba25057b9a5e19d10ace2bc7716667a31297169
Package
Source: qemu (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 LTS (Precise Pangolin):DNE
Package
Source: kvm (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 LTS (Precise Pangolin):DNE
More Information

Valid XHTML 1.0 Strict

Updated: 2015-07-29 20:40:40 UTC (commit 9756)